> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List reservations

> Get a list of billing reservations along with detailed information
on resource configurations and associated pricing.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v2/reservations
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v2/reservations:
    get:
      tags:
        - Reservations
      summary: List reservations
      description: |-
        Get a list of billing reservations along with detailed information
        on resource configurations and associated pricing.
      operationId: ReservationV2ViewSet.get
      parameters:
        - in: query
          name: metric_name
          required: false
          description: Metric name for the resource (e.g., 'bm1-hf-medium_min')
          schema:
            description: Metric name for the resource (e.g., 'bm1-hf-medium_min')
            title: Metric Name
            type: string
        - in: query
          name: order_by
          required: false
          description: Order by field and direction.
          schema:
            $ref: '#/components/schemas/BillingReservationV2OrderByChoices'
            default: active_from.desc
            description: Order by field and direction.
            examples:
              - active_from.asc
              - active_to.asc
        - in: query
          name: region_id
          required: false
          description: Region for reservation
          schema:
            description: Region for reservation
            title: Region Id
            type: integer
        - in: query
          name: show_inactive
          required: false
          description: Include inactive commits in the response
          schema:
            default: true
            description: Include inactive commits in the response
            title: Show Inactive
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/BillingReservationV2CollectionResponseSerializer
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            billing_reservations = client.cloud.billing_reservations.list()
            print(billing_reservations.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tbillingReservations, err := client.Cloud.BillingReservations.List(context.TODO(), cloud.BillingReservationListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", billingReservations.Count)\n}\n"
components:
  schemas:
    BillingReservationV2OrderByChoices:
      enum:
        - active_from.asc
        - active_from.desc
        - active_to.asc
        - active_to.desc
      title: BillingReservationV2OrderByChoices
      type: string
    BillingReservationV2CollectionResponseSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/BillingReservationV2ItemResponseSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: BillingReservationV2CollectionResponseSerializer
      type: object
    BillingReservationV2ItemResponseSerializer:
      properties:
        active_billing_plan_id:
          description: Active billing plan ID
          example: 207114
          examples:
            - 207114
          title: Active Billing Plan Id
          type: integer
        active_overcommit:
          $ref: '#/components/schemas/BillingReservationV2OvercommitSerializer'
          description: Overcommit pricing details
        commit:
          $ref: '#/components/schemas/BillingReservationV2CommitSerializer'
          description: Commit pricing details
        hardware_info:
          $ref: '#/components/schemas/BillingReservationV2HardwareInfoSerializer'
          description: Hardware specifications
        region_name:
          description: Region name
          example: LUX-4
          examples:
            - LUX-4
          title: Region Name
          type: string
        resource_count:
          description: Number of reserved resource items
          example: 1
          examples:
            - 1
          title: Resource Count
          type: integer
        resource_name:
          description: Resource name
          example: bm1-hf-medium
          examples:
            - bm1-hf-medium
          title: Resource Name
          type: string
        unit_name:
          description: Unit name (e.g., 'H' for hours)
          example: H
          examples:
            - H
          title: Unit Name
          type: string
        unit_size_month:
          description: Unit size per month (e.g., 744 hours)
          example: '744.00000000'
          examples:
            - '744.00000000'
          title: Unit Size Month
          type: string
        unit_size_total:
          description: Unit size month multiplied by count of resources in the reservation
          example: '8928.00000000'
          examples:
            - '8928.00000000'
          title: Unit Size Total
          type: string
      required:
        - active_billing_plan_id
        - region_name
        - resource_name
        - resource_count
        - unit_size_month
        - unit_name
        - unit_size_total
        - commit
        - active_overcommit
        - hardware_info
      title: BillingReservationV2ItemResponseSerializer
      type: object
    BillingReservationV2OvercommitSerializer:
      properties:
        active_from:
          description: Billing subscription active from date
          example: '2025-04-03T00:00:00'
          examples:
            - '2025-04-03T00:00:00'
          format: date-time
          title: Active From
          type: string
        plan_item_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Billing plan item ID
          examples:
            - 666
          title: Plan Item Id
        price_per_month:
          description: Price per month
          example: '236.63366400'
          examples:
            - '236.63366400'
          title: Price Per Month
          type: string
        price_per_unit:
          description: Price per unit (hourly)
          example: '0.31805600'
          examples:
            - '0.31805600'
          title: Price Per Unit
          type: string
        price_total:
          description: Total price for the reservation period
          example: '2839.60396800'
          examples:
            - '2839.60396800'
          title: Price Total
          type: string
        subscription_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Billing subscription ID for overcommit
          examples:
            - 12344
          title: Subscription Id
      required:
        - active_from
        - subscription_id
        - plan_item_id
        - price_per_unit
        - price_per_month
        - price_total
      title: BillingReservationV2OvercommitSerializer
      type: object
    BillingReservationV2CommitSerializer:
      properties:
        active_from:
          description: Billing subscription active from date
          example: '2025-04-03T00:00:00'
          examples:
            - '2025-04-03T00:00:00'
          format: date-time
          title: Active From
          type: string
        active_to:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Billing subscription active to date
          examples:
            - '2026-04-03T00:00:00'
          title: Active To
        price_per_month:
          description: Price per month, per one resource
          example: '224.80198100'
          examples:
            - '224.80198100'
          title: Price Per Month
          type: string
        price_per_unit:
          description: Price per unit, per one resource (hourly)
          example: '0.30215320'
          examples:
            - '0.30215320'
          title: Price Per Unit
          type: string
        price_total:
          description: Total price for the reservation period for the full reserved amount
          example: '2697.62377200'
          examples:
            - '2697.62377200'
          title: Price Total
          type: string
        subscription_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Billing subscription ID for commit
          examples:
            - 12345
          title: Subscription Id
      required:
        - active_from
        - active_to
        - subscription_id
        - price_per_unit
        - price_per_month
        - price_total
      title: BillingReservationV2CommitSerializer
      type: object
    BillingReservationV2HardwareInfoSerializer:
      properties:
        cpu:
          anyOf:
            - type: string
            - type: 'null'
          description: CPU specification
          examples:
            - 2xIntel Xeon 8468
          title: Cpu
        disk:
          anyOf:
            - type: string
            - type: 'null'
          description: Disk specification
          examples:
            - 8 x 3.84 TB NVMe
          title: Disk
        ram:
          anyOf:
            - type: string
            - type: 'null'
          description: RAM specification
          examples:
            - 2TB RAM
          title: Ram
      required:
        - cpu
        - ram
        - disk
      title: BillingReservationV2HardwareInfoSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````